# PSF-LoginServer - master - net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.LoadoutTab
PSF - LoginServer - master - net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.LoadoutTab
Keywords: PSF LoginServer master net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.LoadoutTab

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  object OrderTerminalDefinition
  Definition Classes
    terminals
- ArmorPage
- ArmorWithAmmoPage
- CertificationPage
- EquipmentPage
- ImplantPage
- InfantryLoadoutPage
- LoadoutTab
- Tab
- VehicleLoadoutPage
- VehiclePage

c

net.psforever.objects.serverobject.terminals.OrderTerminalDefinition

# LoadoutTab

###

#### abstract class LoadoutTab extends Tab

The base class for "loadout" type tabs. Defines logic for enumerating items and entities that should be eliminated from being loaded. The method for filtering those excluded items, if applicable, and management of the resulting loadout object is the responsibility of the specific tab that is instantiated.

Source
  OrderTerminalDefinition.scala

Linear Supertypes
Tab, AnyRef, Any
Known Subclasses
InfantryLoadoutPage, VehicleLoadoutPage

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoadoutTab
2. Tab
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LoadoutTab()

### Abstract Value Members

1.  abstract def Buy(player: Player, msg: ItemTransactionMessage): Exchange
   Definition Classes
     Tab
2.  abstract def Dispatch(sender: ActorRef, terminal: Terminal, msg: TerminalMessage): Unit
   Definition Classes
     Tab

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Exclude: Seq[Any]
5.  def Exclude_=(equipmentList: Seq[Any]): Seq[Any]
6.  def Exclude_=(equipment: Any): Seq[Any]
7.  def Sell(player: Player, msg: ItemTransactionMessage): Exchange
   Definition Classes
     Tab
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Tab

### Inherited from AnyRef

### Inherited from Any

### Ungrouped